/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/06/02   Fujitsu)Yositake      First Version
 */

package org.naregi.pse.acs.client.databean;

public class AcsAppInfo {
	
	private String appName;
	private String appVersion;
	private String appBaseVersion;
	private String appDesc;
	private String authorName;
	private String authorDesc;
	private String authorCountry;
	private String authorAddress;

	/**
	 * @return
	 */
	public String getAppDesc() {
		return appDesc;
	}

	/**
	 * @return
	 */
	public String getAppName() {
		return appName;
	}

	/**
	 * @return
	 */
	public String getAppVersion() {
		return appVersion;
	}

	/**
	 * @return
	 */
	public String getAuthorAddress() {
		return authorAddress;
	}

	/**
	 * @return
	 */
	public String getAuthorCountry() {
		return authorCountry;
	}

	/**
	 * @return
	 */
	public String getAuthorDesc() {
		return authorDesc;
	}

	/**
	 * @return
	 */
	public String getAuthorName() {
		return authorName;
	}

	/**
	 * @param string
	 */
	public void setAppDesc(String string) {
		appDesc = string;
	}

	/**
	 * @param string
	 */
	public void setAppName(String string) {
		appName = string;
	}

	/**
	 * @param string
	 */
	public void setAppVersion(String string) {
		appVersion = string;
	}

	/**
	 * @param string
	 */
	public void setAuthorAddress(String string) {
		authorAddress = string;
	}

	/**
	 * @param string
	 */
	public void setAuthorCountry(String string) {
		authorCountry = string;
	}

	/**
	 * @param string
	 */
	public void setAuthorDesc(String string) {
		authorDesc = string;
	}

	/**
	 * @param string
	 */
	public void setAuthorName(String string) {
		authorName = string;
	}

	/**
	 * @return
	 */
	public String getAppBaseVersion() {
		return appBaseVersion;
	}

	/**
	 * @param string
	 */
	public void setAppBaseVersion(String string) {
		appBaseVersion = string;
	}

}