/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/06/12   Fujitsu)Yositake      First Version 
 */
 
package org.naregi.pse.acs.client.databean;

public class UrlInfo {
	
	private String address;
	
	private String port;
	
	private String file;
	
	private String hostSubject;
	
	/**
	 * @return
	 */
	public String getAddress() {
		return address;
	}

	/**
	 * @return
	 */
	public String getHostSubject() {
		return hostSubject;
	}

	/**
	 * @return
	 */
	public String getPort() {
		return port;
	}

	/**
	 * @param string
	 */
	public void setAddress(String string) {
		address = string;
	}

	/**
	 * @param string
	 */
	public void setHostSubject(String string) {
		hostSubject = string;
	}

	/**
	 * @param string
	 */
	public void setPort(String string) {
		port = string;
	}

	/**
	 * @return
	 */
	public String getFile() {
		return file;
	}

	/**
	 * @param string
	 */
	public void setFile(String string) {
		file = string;
	}

}
