/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/06/06   Fujitsu)Yositake      First Version 
 */
package org.naregi.pse.acs.service.impl.constants;

/**
 * Constants for ACS service.
 */
public class ACSConstants {

	public static final String ST_TRANS_TYPE_DESCRETE =
		"http://schemas.ggf.org/acs/2006/04/ari/transport-type/discrete";
		
	public static final int TRANS_TYPE_DESCRETE = 0;

	public static final String ST_TRANS_TYPE_BUNDLED_ZIP =
		"http://schemas.ggf.org/acs/2006/04/ari/transport-type/bundled/zip";
	
	public static final int TRANS_TYPE_BUNDLED_ZIP = 1;

	public static final String ST_TRANS_METHOD_EMBEDDED =
		"http://schemas.ggf.org/acs/2006/04/ari/transport-method/embedded";
	
	public static final int TRANS_METHOD_EMBEDDED = 0;

	public static final String ST_TRANS_METHOD_GRIDFTP =
		"http://schemas.ggf.org/acs/2006/04/ari/transport-method/gridftp";
	
	public static final int TRANS_METHOD_GRIDFTP = 1;
		
	public static final String BUNDLED_FILENAME_ZIP = "AAFile.zip";
	
	public static final String AAD_FILENAME = "aad.xml";
	
	public static final String ACS_TEMP_BASEDIR_KEY =
		"ACS_SERVICE_TEMP_BASEDIR";
	
	public static final String ACS_REPOSITORY_BASEDIR_KEY =
		"ACS_REPOSITORY_BASEDIR";
	
	public static final String ACS_SERVICE_GRIDFTP_ADDRESS_KEY =
		"ACS_SERVICE_GRIDFTP_ADDRESS";
	
	public static final String ACS_SERVICE_GRIDFTP_PORT_KEY =
		"ACS_SERVICE_GRIDFTP_PORT";
		
	public static final String AR_RESOURCE_KEY_KEY =
		"AR_RESOURCE_KEY";	
}
