/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2005/09/12   Fujitsu)Yositake      First Version 
 */

package org.naregi.pse.acs.service.impl.databean;

public class MyProxyServerInfo {

	private String myProxyURL;

	private String myProxyPort;

	private String myProxyHostSubject;

	private int lifetimeAfterGet;

	private int lifetimeAfterPut;
	
	/**
	 * @return
	 */
	public int getLifetimeAfterGet() {
		return lifetimeAfterGet;
	}

	/**
	 * @return
	 */
	public int getLifetimeAfterPut() {
		return lifetimeAfterPut;
	}

	/**
	 * @return
	 */
	public String getMyProxyHostSubject() {
		return myProxyHostSubject;
	}

	/**
	 * @return
	 */
	public String getMyProxyPort() {
		return myProxyPort;
	}

	/**
	 * @return
	 */
	public String getMyProxyURL() {
		return myProxyURL;
	}

	/**
	 * @param i
	 */
	public void setLifetimeAfterGet(int i) {
		lifetimeAfterGet = i;
	}

	/**
	 * @param i
	 */
	public void setLifetimeAfterPut(int i) {
		lifetimeAfterPut = i;
	}

	/**
	 * @param string
	 */
	public void setMyProxyHostSubject(String string) {
		myProxyHostSubject = string;
	}

	/**
	 * @param string
	 */
	public void setMyProxyPort(String string) {
		myProxyPort = string;
	}

	/**
	 * @param string
	 */
	public void setMyProxyURL(String string) {
		myProxyURL = string;
	}

}
