/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2006/06/19   Fujitsu)Yositake      First Version 
 */
package org.naregi.pse.acs.client.databean;

import java.net.URL;

public class FTPInfo {
	
	private URL ftpURL;
	private String userName;
	private String passWord;

	/**
	 * @return
	 */
	public String getPassWord() {
		return passWord;
	}

	/**
	 * @return
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * @param string
	 */
	public void setPassWord(String string) {
		passWord = string;
	}

	/**
	 * @param string
	 */
	public void setUserName(String string) {
		userName = string;
	}

	/**
	 * @return
	 */
	public URL getFtpURL() {
		return ftpURL;
	}

	/**
	 * @param url
	 */
	public void setFtpURL(URL url) {
		ftpURL = url;
	}

}