/*
 * Copyright 2004-2006 National Institute of Informatics in Japan, 
 * All rights reserved.
 *
 * This file or a portion of this file is licensed under the terms of
 * the NAREGI Public License, found at http://www.naregi.org/download/index.html.
 * If you redistribute this file, with or without modifications, you must 
 * include this notice in the file.
 *
 * [History]
 * Date         Name                  Contents
 * ------------------------------------------------------------------------
 * 2005/09/12   Fujitsu)Koga          First Version 
 */
package org.naregi.pse.ap.apppool.bean;

public class UserInformation {
	public String userName;
	public String passPhrase;
	private String voname;
	public byte[] certificate;
	
	/**
	 * @return
	 */
	public String getVoname() {
		return voname;
	}

	/**
	 * @param string
	 */
	public void setVoname(String string) {
		voname = string;
	}

	/**
	 * @return
	 */
	public byte[] getCertificate() {
		return certificate;
	}

	/**
	 * @return
	 */
	public String getPassPhrase() {
		return passPhrase;
	}

	/**
	 * @return
	 */
	public String getUserName() {
		return userName;
	}

	/**
	 * @param bs
	 */
	public void setCertificate(byte[] bs) {
		certificate = bs;
	}

	/**
	 * @param string
	 */
	public void setPassPhrase(String string) {
		passPhrase = string;
	}

	/**
	 * @param string
	 */
	public void setUserName(String string) {
		userName = string;
	}

}
